org.richfaces.skin

## Class SkinBean

- java.lang.Object
- - java.util.AbstractMap
  - - org.richfaces.skin.SkinBean

- All Implemented Interfaces:
    Map, Skin

      public class SkinBean
      extends AbstractMap
      implements Skin

  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:40 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface org.richfaces.skin.Skin

      `Skin.Preferable`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from interface org.richfaces.skin.Skin

      `ACTIVETAB_STYLE_FONT, ACTIVETAB_WEIGHT_FONT, ADDITIONAL_BACKGROUND_COLOR, BASE_SKIN, BUTTON_FAMILY_FONT, BUTTON_RADIUS_CORNER, BUTTON_SIZE_FONT, BUTTON_STYLE_FONT, BUTTON_WEIGHT_FONT, CONTROL_BACKGROUND_COLOR, CONTROL_BORDER_COLOR, DISABLED_TAB_STYLE_FONT, DISABLED_TAB_WEIGHT_FONT, EXTENDED_STYLE_SHEET, GENERAL_BACKGROUND_COLOR, GENERAL_LINK_COLOR, GENERAL_SIZE_FONT, GENERAL_STYLE_SHEET, GENERAL_TEXT_COLOR, GRADIENT_TYPE, HEADER_BACKGROUND_COLOR, HEADER_FAMILY_FONT, HEADER_GRADIENT_COLOR, HEADER_SIZE_FONT, HEADER_TEXT_COLOR, IMAGE_LIBRARY, INTERFACE_LEVEL_3D, LOAD_STYLE_SHEETS, OVER_ALL_BACKGROUND, PANEL_RADIUS_CORNER, PANEL_TEXT_COLOR, PREFERABLE_TAB_POSITION, PREFERABLE_TAB_TEXT_DIRECTION, PREFERABLE_TAB_TEXT_ORIENTATION, SELECT_BACKGROUND_COLOR, SELECT_CONTROL_COLOR, SHADOW_BACKGROUND_COLOR, SHADOW_OPACITY, TAB_BACKGROUND_COLOR, TAB_FAMILY_FONT, TAB_RADIUS_CORNER, TAB_SIZE_FONT, TAB_STYLE_FONT, TAB_WEIGHT_FONT, TABLE_BACKGROUND_COLOR, TABLE_BORDER_COLOR, TRIM_COLOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinBean()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsProperty(String name)`
    `Set` | `entrySet()`
    `Object` | `get(Object key)`
    `Integer` | `getColorParameter(javax.faces.context.FacesContext context, String name)` Get value for configuration parameter and interpret it as color string.
    `Integer` | `getColorParameter(javax.faces.context.FacesContext context, String name, Object defaultValue)` Get value for configuration parameter and interpret it as color string.
    `Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, String name)`
    `Integer` | `getIntegerParameter(javax.faces.context.FacesContext context, String name, Object defaultValue)`
    `String` | `getName()`
    `Object` | `getParameter(javax.faces.context.FacesContext context, String name)` Get value for configuration parameter.
    `Object` | `getParameter(javax.faces.context.FacesContext context, String name, Object defaultValue)` Get value for configuration parameter.
    `int` | `hashCode(javax.faces.context.FacesContext context)` Calculate unique ( as possible ) code to identity this skin instance.
    `String` | `imageUrl(String resourceName)`
    `boolean` | `isEmpty()`
    `static Object` | `skinHashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsValue, equals, hashCode, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### SkinBean

          public SkinBean()

  - ### Method Detail

    - #### hashCode

          public int hashCode(javax.faces.context.FacesContext context)

      Description copied from interface: `Skin`
      Calculate unique ( as possible ) code to identity this skin instance. Used for generate hash key in skin-depended resources
      Specified by:
        `hashCode` in interface `Skin`
      Returns:
        hash code

    - #### entrySet

          public Set entrySet()

      Specified by:
        `entrySet` in interface `Map`
      Specified by:
        `entrySet` in class `AbstractMap`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map`
      Overrides:
        `containsKey` in class `AbstractMap`

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Map`
      Overrides:
        `get` in class `AbstractMap`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractMap`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`
      Overrides:
        `isEmpty` in class `AbstractMap`

    - #### getParameter

          public Object getParameter(javax.faces.context.FacesContext context,
                                     String name)

      Description copied from interface: `Skin`
      Get value for configuration parameter. If parameter set as EL-expression, calculate it value.
      Specified by:
        `getParameter` in interface `Skin`
      Parameters:
        `context` - - `FacesContext` for current request.
        `name` - name of parameter.
      Returns:
        value of parameter in config, or null

    - #### getParameter

          public Object getParameter(javax.faces.context.FacesContext context,
                                     String name,
                                     Object defaultValue)

      Description copied from interface: `Skin`
      Get value for configuration parameter. If parameter set as EL-expression, calculate it value.
      Specified by:
        `getParameter` in interface `Skin`
      Parameters:
        `context` - - `FacesContext` for current request.
        `name` - name of paremeter.
        `defaultValue` - - default value if parameter not present in Skin
      Returns:
        value of parameter in config, or null

    - #### containsProperty

          public boolean containsProperty(String name)

      Specified by:
        `containsProperty` in interface `Skin`
      Returns:

    - #### skinHashCode

          public static Object skinHashCode()

    - #### getColorParameter

          public Integer getColorParameter(javax.faces.context.FacesContext context,
                                           String name)

      Description copied from interface: `Skin`
      Get value for configuration parameter and interpret it as color string. If parameter set as EL-expression, calculate it value.
      Specified by:
        `getColorParameter` in interface `Skin`
      Parameters:
        `context` - - `FacesContext` for current request.
        `name` - name of parameter.
      Returns:
        value of parameter in config, or null

    - #### getColorParameter

          public Integer getColorParameter(javax.faces.context.FacesContext context,
                                           String name,
                                           Object defaultValue)

      Description copied from interface: `Skin`
      Get value for configuration parameter and interpret it as color string. If parameter set as EL-expression, calculate it value.
      Specified by:
        `getColorParameter` in interface `Skin`
      Parameters:
        `context` - - `FacesContext` for current request.
        `name` - name of parameter.
        `defaultValue` - - default value if parameter not present in Skin
      Returns:
        value for configuration parameter

    - #### getIntegerParameter

          public Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                             String name)

      Specified by:
        `getIntegerParameter` in interface `Skin`

    - #### getIntegerParameter

          public Integer getIntegerParameter(javax.faces.context.FacesContext context,
                                             String name,
                                             Object defaultValue)

      Specified by:
        `getIntegerParameter` in interface `Skin`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Skin`

    - #### imageUrl

          public String imageUrl(String resourceName)

      Specified by:
        `imageUrl` in interface `Skin`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.